@ECHO OFF
REM Change code page in order to display UTF-8 symbols in Windows console
chcp 65001 >nul
cd /D "%~dp0"

REM Example : RegionChooser.bat --input=%UserProfile%\Desktop\ManhattanSmall.gml --output=%UserProfile%\Desktop\out.gml --wkt=%UserProfile%\Desktop\polygon.wkt

if "%~1" == "" (
	ECHO No parameter, launching RegionChooser GUI 1>&2
	java -classpath lib/*; eu.simstadt.regionchooser.RegionChooserFX
) ELSE (
	ECHO Launching RegionChooser CLI %* 1>&2
	java -classpath lib/*; eu.simstadt.regionchooser.RegionChooserCLI %*
)